<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:padding="16dp"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <TextView
        android:id="@+id/no_server_hint"
        android:layout_width="match_parent"
        android:layout_height="88dp"
        android:text="@string/servers_detail_no_data_hint"
        android:textSize="14sp"
        android:textColor="@color/text_tertiary"
        android:gravity="center" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/remind_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_shape_f5_radius_8">

        <TextView
            android:id="@+id/remind_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="16sp"
            android:textColor="@color/text_primary"
            android:layout_marginTop="16dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:text="@string/servers_detail_no_data_content" />

        <LinearLayout
            android:id="@+id/app_remind"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:gravity="center"
            android:orientation="horizontal"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintEnd_toStartOf="@id/wechat_remind"
            app:layout_constraintTop_toBottomOf="@id/remind_title"
            app:layout_constraintStart_toStartOf="parent" >

            <com.lightgame.view.CheckableImageView
                android:id="@+id/app_remind_check_iv"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:padding="4dp" />

            <TextView
                android:id="@+id/app_remind_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:textColor="@color/text_secondary"
                android:textSize="12sp"
                android:text="@string/servers_detail_app_remind_title" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/wechat_remind"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:layout_marginStart="20dp"
            android:gravity="center"
            android:visibility="gone"
            android:orientation="horizontal"
            app:layout_constraintTop_toBottomOf="@id/remind_title"
            app:layout_constraintStart_toEndOf="@id/app_remind"
            app:layout_constraintEnd_toEndOf="parent" >

            <com.lightgame.view.CheckableImageView
                android:id="@+id/wechat_remind_check_iv"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:padding="4dp" />

            <TextView
                android:id="@+id/wechat_remind_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:textColor="@color/text_secondary"
                android:textSize="12sp"
                android:text="@string/servers_detail_wechat_remind_title" />

        </LinearLayout>

        <TextView
            android:id="@+id/add_or_cancel_remind"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_marginTop="12dp"
            android:layout_marginStart="16dp"
            android:layout_marginEnd="16dp"
            android:layout_marginBottom="16dp"
            android:gravity="center"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:layout_constraintTop_toBottomOf="@id/app_remind"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:background="@drawable/download_button_normal_style"
            android:text="@string/servers_detail_add_remind"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

</LinearLayout>